# norootforbuild
#!BuildIgnore:          post-build-checks
%define _prefix /usr

Name:          portaudio18
Summary:       Portable Real-Time Audio Library
Version:       18.1
Release:       4.10
License:       BSD
Group:         System/Libraries
Source:        portaudio_v18_1.tar.bz2
URL:           http://www.portaudio.com/
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
BuildRequires: dos2unix

%description
PortAudio is a portable audio I/O library designed for cross-platform support
of audio. It uses a callback mechanism to request audio processing. Audio can
be generated in various formats, including 32 bit floating point, and will be
converted to the native format internally.

This package renames portaudio.so* to portaudio18.so* So both versions, the
actual portaudio-v19 and v18 can coexist.

Authors:
Phil Burk
Ross Bencina

%package devel
Summary:       Development package for the portaudio library
Group:         Development/Languages/C and C++
Requires:      %{name} = %{version}

%description devel
This package contains the files needed to compile programs that use the
portaudio library.

This package renames portaudio.a to portaudio18.a. So both versions, the
actual portaudio-v19 and v18 can coexist.
The include portaudio.h was renamed to portaudio18.h.

%debug_package

%prep
%setup -q -n portaudio_v18_1

autoreconf --force --install
%{?suse_update_config:%{suse_update_config -f}}
%if 0%{?suse_version}
%suse_update_libdir Makefile.in
%endif

dos2unix  README.txt LICENSE.txt pa_unix_oss/*.txt docs/*.html docs/*.txt index.html
%__chmod 644 README.txt LICENSE.txt pa_unix_oss/*.txt docs/*.html docs/*.txt index.html

%build
chmod +x configure
CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}

%__make \
	PALIB=lib%{name}.a \
	PADLL=lib%{name}.so \
	PADLLV=lib%{name}.so.0.0.18

%install
# make Makefile happy ;)
%__install -dm 755 %{buildroot}%{_libdir}
%__install -dm 755 %{buildroot}%{_includedir}

%__make install \
	PREFIX=%{buildroot}%{_prefix} \
	PALIB=lib%{name}.a \
	PADLL=lib%{name}.so \
	PADLLV=lib%{name}.so.0.0.18

# change name of includefile
%__mv %{buildroot}%{_includedir}/portaudio.h %{buildroot}%{_includedir}/%{name}.h

# tests and samples
%__install -dm 755 %{buildroot}%{_bindir}
%__install -s -m 755 bin/patest_* %{buildroot}%{_bindir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt LICENSE.txt pa_unix_oss/low_latency_tip.txt
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc index.html docs
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_includedir}/*.h
%{_bindir}/patest_*

%changelog
* Sat Sep 16 2006 Toni Graffy <toni@links2linux.de> - 18.1-0.pm.2
- build for packman
* Sat Jan 28 2006 - oc2pus@arcor.de 18.1-0.oc2pus.2
- moved libportaudio18.so to devel package
- repacked as tar.bz2
* Sun Jan 22 2005 - oc2pus@arcor.de 18.1-0.oc2pus.1
- initial version for v18_1
